@using Umbraco.Forms.Web
@model Umbraco.Forms.Mvc.Models.FieldViewModel
@{
    var autocompleteAttribute = Model.GetSettingValue<string>("AutocompleteAttribute", string.Empty);
}
<input type="text" name="@Model.Name" id="@Model.Id" data-umb="@Model.Id" class="text" value="@Model.ValueAsHtmlString" maxlength="255"
       @{if (string.IsNullOrEmpty(Model.PlaceholderText) == false) { <text> placeholder="@Model.PlaceholderText" </text>  }}
       @{if (string.IsNullOrEmpty(autocompleteAttribute) == false) { <text> autocomplete="@autocompleteAttribute" </text> }}
       @{if (Model.Mandatory || Model.Validate) { <text> data-val="true" </text>  }}
       @{if (Model.Mandatory) { <text> data-val-required="@Model.RequiredErrorMessage" </text>  }}
       @{if (Model.Validate) { <text> data-val-regex="@Model.InvalidErrorMessage" data-val-regex-pattern="@Html.Raw(Model.Regex)" </text>  }} />



